"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configure = void 0;
const jdbc = require('jdbc');
const jinst = require('jdbc/lib/jinst');
const configure = async (jvmOptions = [], jvmClassPath = [], jdbcOptions) => {
    if (!jinst.isJvmCreated()) {
        jvmOptions.map(jvmOption => jinst.addOption(jvmOption));
        jinst.setupClasspath(jvmClassPath);
    }
    try {
        const db = new jdbc(jdbcOptions);
        db.initialize(function (err) {
            if (err) {
                throw err;
            }
        });
        return db;
    }
    catch (e) {
        throw new Error("Encountered an error initializing db: " + e);
    }
};
exports.configure = configure;
//# sourceMappingURL=database.js.map